<?php

namespace App\Http\Controllers;

use App\Traits\Components\WithRoleRedirect;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;

class ProfileRedirectController extends Controller
{
    use WithRoleRedirect;

    /**
     * Handle the incoming request.
     */
    public function __invoke(Request $request): RedirectResponse
    {
        return $this->goToProfile();
    }
}
